SDL_ISPIXELFORMAT_FOURCC(3)

NAME
SDL_ISPIXELFORMAT_FOURCC - A macro to determine if an SDL_PixelFormat
 is a "FourCC" format.

HEADER FILE
Defined in SDL3/SDL_pixels.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_ISPIXELFORMAT_FOURCC(format)  /* The flag is set to 1 because 0x1? is not in the printable ASCII range */ .BI ((format)&&(SDL_PIXELFLAG(format)!=1))

DESCRIPTION
This covers custom and other unusual formats.

Note that this macro double-evaluates its parameter, so do not use expressions with side-effects here.

RETURN VALUE
Returns true if the format has alpha, false otherwise.

THREAD SAFETY
It is safe to call this macro from any thread.

AVAILABILITY
This macro is available since SDL 3.2.0.